Bug 535212 - (RHQ-1932) Provide friendlier error messages when a resource can not be found
Provide friendlier error messages when a resource can not be found
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 04:56 EDT by Heiko W. Rupp
Modified: 2009-04-28 03:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-04-06 04:56:00 EDT
I did have the following in my browsers page history.

http://pickeldi:7080/rhq/resource/inventory/view.xhtml?id=506050

Calling this, resulted in a red box saying 
"/rhq/resource/layout/main.xhtml @81,60 test="#{ResourceUIBean.facets.callTime}" Cant instantiate class: org.rhq.enterprise.gui.inventory.resource.ResourceUIBean."

Looking at the stack trace shows way down that the resource just does not exist. 

In cases like those (user may have saved a resource in the browsers bookmark and the resource has meanwhile been deleted) or just any other, we should print a much friendlier message with a link back to resource hub or dashboard -- a little bit like we had it in the past.
Comment 1 Heiko W. Rupp 2009-04-07 08:13:41 EDT
This can also happen in situations like RHQ-1943
Comment 2 Joseph Marques 2009-04-28 03:02:39 EDT
ah, i was looking for this jira a while back but couldn't find it.  anyway, this is now done as the new error.xhtml page which you're redirect to upon errors loading other facelets, one of those instances being ResourceNotFoundException.
Comment 3 Red Hat Bugzilla 2009-11-10 15:49:45 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1932
This bug relates to RHQ-1943

Note You need to log in before you can comment on or make changes to this bug.